{
  description = "A small listener for notifications";

  inputs.nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";

  outputs = { self, nixpkgs }:
    let
      allSystems = [
        "x86_64-linux"
        "aarch64-linux"
        "x86_64-darwin"
        "aarch64-darwin"
      ];
      forAllSystems = f: nixpkgs.lib.genAttrs allSystems (system: f {
        pkgs = import nixpkgs { inherit system; };
      });
    in
    {
      overlays.default = final: prev: {
        notlistener = self.packages.${prev.system}.default;
      };

      packages = forAllSystems ({ pkgs }: {
        default = pkgs.buildGoModule {
          name = "notlistener";
          src = ./.;
          vendorHash = "sha256-fWdevnLKgk3ng1aaIGy7d6mf2bbqsfL8SigpaSyzJ9A=";
          buildInputs = [ pkgs.libnotify ];
          nativeBuildInputs = [ pkgs.pkg-config ];
        };
      });
      devShells = forAllSystems ({ pkgs }: {
        default = pkgs.mkShell {
          packages = with pkgs; [
            go
            libnotify
            pkg-config
          ];
        };
      });
    };
}
